### Method

# Gcr Prompt password_finish

#### Declaration [src]

    const gchar*
    gcr_prompt_password_finish (
      GcrPrompt* prompt,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an operation to prompt for a password.

A password will be returned if the user enters a password successfully. The returned password is valid until the next time a method is called to display another prompt.

`NULL` will be returned if the user cancels or if an error occurs. Check the `error` argument to tell the difference.

#### Parameters

`result`

  Type: `GAsyncResult`

  Asynchronous result passed to callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `const gchar*`

The password owned by the prompt, or `NULL`.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.